package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingCouponCreateactivityRequest struct {
	/*
	   创建优惠券活动请求入参     */
	Param *domain.AlibabaWdkMarketingCouponCreateactivityCouponActivity `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingCouponCreateactivityRequest) SetParam(v domain.AlibabaWdkMarketingCouponCreateactivityCouponActivity) *AlibabaWdkMarketingCouponCreateactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingCouponCreateactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingCouponCreateactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
